Commits

Felix Yan committed 0c23d4c

fix compatibility with setuptools >= 0.7b

  • Participants
  • Parent commits e3d4af8

Comments (0)

Files changed (1)

File distribute_setup.py

     try:
         try:
             import pkg_resources
+
+            # Setuptools 0.7b and later is a suitable (and preferable)
+            # substitute for any Distribute version.
+            try:
+                pkg_resources.require("setuptools>=0.7b")
+                return
+            except (pkg_resources.DistributionNotFound,
+                    pkg_resources.VersionConflict):
+                pass
+
             if not hasattr(pkg_resources, '_distribute'):
                 if not no_fake:
                     _fake_setuptools()